// -*-C++-*-
/*!
 * @file  com_fkSVC_impl.h
 * @brief Service implementation header of com_fk.idl
 *
 */

#include "com_fkSkel.h"
#include "fk.h"

#ifndef COM_FKSVC_IMPL_H
#define COM_FKSVC_IMPL_H
 
/*
 * Example class implementing IDL interface ComFk
 */
class ComFkSVC_impl
 : public virtual POA_ComFk,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~ComFkSVC_impl();

 public:
   // standard constructor
   ComFkSVC_impl();
   virtual ~ComFkSVC_impl();

   // attributes and operations
   void set_tool(const Frame& frm);

   // 
   FK f_kinema;
};



#endif // COM_FKSVC_IMPL_H


