#!/bin/sh

rtc-template -bcxx \
    --module-name=pa10vel --module-type='DataFlowComponent' \
    --module-desc='velocity controlled PA10 arm' \
    --module-version=1.0 --module-vendor='FSI' \
    --module-category=pa10 \
    --module-comp-type=DataFlowComponent --module-act-type=SPORADIC \
    --module-max-inst=10 \
    --inport=vel:TimedFloatSeq \
    --outport=th:TimedDoubleSeq \
    --service=ComPA10:com_pa10:ComPA10 \
    --service-idl=com_pa10.idl

